/*
 * SonarQube
 * Copyright (C) 2009-2016 SonarSource SA
 * mailto:contact AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package org.sonar.server.measure;

import javax.annotation.Nullable;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import org.sonar.db.component.ComponentDto;

class MeasureFilterContext {
  private Long userId = null;
  private ComponentDto baseComponent = null;
  private String sql;
  private String data;

  Long getUserId() {
    return userId;
  }

  MeasureFilterContext setUserId(@Nullable Long userId) {
    this.userId = userId;
    return this;
  }

  ComponentDto getBaseComponent() {
    return baseComponent;
  }

  MeasureFilterContext setBaseComponent(@Nullable ComponentDto baseComponent) {
    this.baseComponent = baseComponent;
    return this;
  }

  String getSql() {
    return sql;
  }

  MeasureFilterContext setSql(String sql) {
    this.sql = sql;
    return this;
  }

  String getData() {
    return data;
  }

  MeasureFilterContext setData(String data) {
    this.data = data;
    return this;
  }

  @Override
  public String toString() {
    return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
      .append("filter", data)
      .append("sql", sql)
      .append("user", userId)
      .toString();
  }
}
