/*
 * SonarQube
 * Copyright (C) 2009-2016 SonarSource SA
 * mailto:contact AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
import _ from 'underscore';
import BaseFacet from './base-facet';
import Template from '../templates/facets/issues-mode-facet.hbs';

export default BaseFacet.extend({
  template: Template,

  events: {
    'change [name="issues-page-mode"]': 'onModeChange'
  },

  onModeChange () {
    const mode = this.$('[name="issues-page-mode"]:checked').val();
    this.options.app.state.updateFilter({ facetMode: mode });
  },

  serializeData () {
    return _.extend(BaseFacet.prototype.serializeData.apply(this, arguments), {
      mode: this.options.app.state.getFacetMode()
    });
  }
});

